## mpg123 1.12.1-3maemo1

=== debian/changelog ===
mpg123 (1.12.1-3maemo1) unstable; urgency=low

  * Fremantle packaging

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 17 May 2011 19:28:59 +0200

mpg123 (1.12.1-3ubuntu1) maverick; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/control: Remove libartsc0-dev from build depends. 

 -- Lorenzo De Liso <blackz@ubuntu.com>  Mon, 06 Sep 2010 01:14:59 +0200

mpg123 (1.12.1-3) unstable; urgency=low

  * src/libmpg123/readers.c: Fix fast reading of ICY streams via http.
    Patch from upstream version 1.12.3.

 -- Daniel Kobras <kobras@debian.org>  Mon, 30 Aug 2010 20:05:09 +0200

mpg123 (1.12.1-2ubuntu2) maverick; urgency=low

  * No-change rebuild for JACK2 transition.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 21 Jul 2010 12:44:20 +0200

mpg123 (1.12.1-2ubuntu1) maverick; urgency=low

  * Merge from debian unstable (LP: #607215). Remaining changes:
    - debian/control: Remove libartsc0-dev from build depends.

 -- Angel Abad <angelabad@gmail.com>  Tue, 15 Jun 2010 07:32:48 +0100

mpg123 (1.12.1-2) unstable; urgency=low

  * configure.ac, src/libmpg123/frame.c: Apply backport of upstream patch
    to fix calculation of pointer alignment on 32bit archs. Many thanks
    to William Pitcock, Gregor Herrmann, and upstream author Thomas Orgis
    for tracking down this problem. Closes: #580095
  * debian/rules: Run autoreconf to rebuild configure script after
    having applied above patch. In clean target, remove any files
    altered by autoreconf.
  * debian/control: Build-depend on automake and autoconf for autoreconf.

 -- Daniel Kobras <kobras@debian.org>  Wed, 09 Jun 2010 21:40:23 +0200

mpg123 (1.12.1-1) unstable; urgency=low

  * New upstream version. Closes: #572975
  * debian/control: Package complies with version 3.8.4 of Debian policy.
  * debian/control: Add substitution variable misc:Depends to package
    dependency lines to placate lintian.
  * debian/libmpg123-0.symbols.common.in: Add new symbols mpg123_open_handle
    and mpg123_replace_reader_handle.

 -- Daniel Kobras <kobras@debian.org>  Wed, 28 Apr 2010 21:18:28 +0200

mpg123 (1.12.1-0ubuntu1) lucid; urgency=low

  * New upstream release
    * Direct request from upstream for compatibility purposes
    * Also unifies the large/small file support issues we had earlier

 -- Scott Ritchie <scottritchie@ubuntu.com>  Wed, 31 Mar 2010 14:56:30 -0700

mpg123 (1.10.1~prerelease2-0ubuntu1) lucid; urgency=low

  * New upstream release
    * Use prerelease to fix a Wine build failure (LP: #522916)

 -- Scott Ritchie <scottritchie@ubuntu.com>  Tue, 16 Feb 2010 13:56:34 -0800

mpg123 (1.10.0-2ubuntu1) lucid; urgency=low

  * Merge from Debian unstable, remaining change:
    - debian/control: Remove libartsc0-dev from build depends.

 -- Daniel T Chen <crimsun@ubuntu.com>  Mon, 21 Dec 2009 00:11:29 -0500

mpg123 (1.10.0-2) unstable; urgency=low

  * src/libmpg123/dither.[hc]: Disable function mpg123_noise that is not
    yet part of libmpg123's official API and should therefore not get
    exported.
  * debian/libmpg123-0.symbols.common.in: Remove symbol mpg123_noise
    accordingly. Closes: #559892

 -- Daniel Kobras <kobras@debian.org>  Thu, 10 Dec 2009 20:42:32 +0100

mpg123 (1.10.0-1) unstable; urgency=low

  * New upstream release 1.10.0.
  * debian/libmpg123-0.symbols.common.in: Add four new symbols.
  * debian/libmpg123-0.symbols.{32bit,64bit}.in: Add one new\
    architecture-dependent symbol.
  * debian/control: Complies with version 3.8.3 of Debian policy.

 -- Daniel Kobras <kobras@debian.org>  Sun, 06 Dec 2009 23:13:36 +0100

mpg123 (1.9.1-2ubuntu1) lucid; urgency=low

  * Merge from Debian testing, remaining changes:
    - debian/control: Remove libartsc0-dev from build depends.
  * ChangeLog,NEWS,configure.ac,mpg123.spec,src/libmpg123/libmpg123.c:
    - Drop all Ubuntu deltas that were just informational and are no
      longer relevant
    + Regenerate configure

 -- Daniel T Chen <crimsun@ubuntu.com>  Fri, 06 Nov 2009 03:27:47 +0000

mpg123 (1.9.1-2) unstable; urgency=low

  * debian/rules: Disable PIE on mips/mipsel due to binutils bug #532821.
    Works around build failures on these archs.
  * debian/rules: Include contents of config.log in build log if
    configure fails.

 -- Daniel Kobras <kobras@debian.org>  Mon, 19 Oct 2009 22:51:48 +0200

mpg123 (1.9.1-1) unstable; urgency=low

  * New upstream version 1.9.1.
  * src/output/arts.c: Drop Debian-specific 64bit patch (fixed upstream).
  * debian/libmpg123-0.symbols.common.in: Add two new exported library
    symbols. 

 -- Daniel Kobras <kobras@debian.org>  Wed, 14 Oct 2009 21:43:18 +0200

mpg123 (1.7.3-0ubuntu1) karmic; urgency=low

  * New upstream release
    - Includes a fix for a regression in forward seeking

 -- Scott Ritchie <scottritchie@ubuntu.com>  Mon, 14 Sep 2009 04:58:49 -0700

mpg123 (1.7.2-3ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - Remove arts from dependencies

 -- César Muñoz Albitres <cemual@gmail.com>  Sun, 03 May 2009 17:55:27 -0500

mpg123 (1.7.2-3) unstable; urgency=low

  * debian/alt_deps.py: Add helper code to fold several (plugin)
    dependencies into a single alternative dependency. Used to
    auto-generate the default Recommends for "first-class" output
    plugins. Unlike the previous hack in debian/rules, the helper
    tool can handle several dependency entries per plugin. Fixes
    build errors on several archs where plugins picked out a different
    versioned dependency on libc6 than the rest of the packages.
    Closes: #524246
  * debian/control: Add build-dependency on python-minimal for
    helper tool.
  * debian/rules: Remove previous hack to generate plugin:Recommends
    and use helper tool instead.

 -- Daniel Kobras <kobras@debian.org>  Sat, 18 Apr 2009 22:34:51 +0200

mpg123 (1.7.2-2) unstable; urgency=low

  * debian/libmpg123-0.symbols*: Distinguish between symbols on 32bit
    and 64bit platforms. Closes: #523592



=== debian/control ===
Source: mpg123
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Daniel Kobras <kobras@debian.org>
Standards-Version: 3.8.4
Build-Depends: debhelper (>> 5), autotools-dev, autoconf, automake, pkg-config, libltdl3-dev, libesd0-dev, libaudio-dev, libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libjack-dev, libpulse-dev [!hurd-i386], python-minimal

Package: mpg123
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ${shlibs:Recommends}, ${plugin:Recommends}
Suggests: ${shlibs:Suggests}
Provides: mp3-decoder, mpg123-oss-3dnow
Replaces: mpg123-oss-3dnow, mpg123-alsa, mpg123-esd, mpg123-nas, mpg123-oss-i486
Description: MPEG layer 1/2/3 audio player
 Mpg123 is a fast and portable MPEG audio player for Unix.  It supports
 MPEG 1.0/2.0 layers 1, 2 and 3 (those famous "mp3" files).
 . 
 For full CD quality playback (44 kHz, 16 bit, stereo) a Pentium,
 SPARCstation10, DEC Alpha or similar CPU is required.  Mono and/or reduced
 quality playback (22 kHz or 11 kHz) is even possible on 486 CPUs.
 .
 This package contains output plugins for several audio systems, including
 OSS/Lite, the Advanced Linux Sound Architecture (ALSA) on Linux systems,
 the Enlightened Sound Daemon (esound), the Network Audio System (NAS),
 and others.

Package: libmpg123-0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: MPEG layer 1/2/3 audio decoder -- runtime library
 Mpg123 is a fast and portable MPEG audio decoder for Unix.  It supports
 MPEG 1.0/2.0 layers 1, 2 and 3 (those famous "mp3" files).
 . 
 For full CD quality playback (44 kHz, 16 bit, stereo) a Pentium,
 SPARCstation10, DEC Alpha or similar CPU is required.  Mono and/or reduced
 quality playback (22 kHz or 11 kHz) is even possible on 486 CPUs.
 .
 This package contains the C libraries needed to run executables that use
 the mpg123 library.

Package: libmpg123-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libmpg123-0 (= ${binary:Version})
Description: MPEG layer 1/2/3 audio decoder -- development files
 Mpg123 is a fast and portable MPEG audio decoder for Unix.  It supports
 MPEG 1.0/2.0 layers 1, 2 and 3 (those famous "mp3" files).
 . 
 For full CD quality playback (44 kHz, 16 bit, stereo) a Pentium,
 SPARCstation10, DEC Alpha or similar CPU is required.  Mono and/or reduced
 quality playback (22 kHz or 11 kHz) is even possible on 486 CPUs.
 .
 This package contains the C development headers and library files needed to
 compile programs using the mpg123 library.

Package: mpg123-oss-i486
Architecture: i386 kfreebsd-i386
Depends: mpg123 (>= 1.4.3-1), ${misc:Depends}, oss-compat
Provides: mpg123, mp3-decoder
Conflicts: mpg123 (<< 0.59r-2)
Description: MPEG layer 1/2/3 audio player for i486 machines - dummy package
 Mpg123 is a fast and portable MPEG audio player for Unix.  It supports
 MPEG 1.0/2.0 layers 1, 2 and 3 (those famous "mp3" files).
 . 
 For full CD quality playback (44 kHz, 16 bit, stereo) a Pentium,
 SPARCstation10, DEC Alpha or similar CPU is required.  Mono and/or reduced
 quality playback (22 kHz or 11 kHz) is even possible on 486 CPUs.
 .
 This package used to contain an executable specially optimized for i486
 processors, but nowadays just depends on the generic package mpg123. It is
 an empty dummy package to facilitate upgrades and can be safely removed.

Package: mpg123-oss-3dnow
Architecture: i386
Depends: mpg123 (>= 0.61-1), ${misc:Depends}
Description: MPEG layer 1/2/3 audio player for 3DNow! machines - dummy package
 Mpg123 is a fast and portable MPEG audio player for Unix.  It supports
 MPEG 1.0/2.0 layers 1, 2 and 3 (those famous "mp3" files).
 . 
 For full CD quality playback (44 kHz, 16 bit, stereo) a Pentium,
 SPARCstation10, DEC Alpha or similar CPU is required.  Mono and/or reduced
 quality playback (22 kHz or 11 kHz) is even possible on 486 CPUs.
 .
 An mpg123 optimised for the 3DNow! command set nowadays is part of the main
 package mpg123. This is an empty dummy package to facilitate upgrades and
 can be safely removed.

Package: mpg123-esd
Architecture: any
Depends: mpg123 (>= 1.4.3-1), ${misc:Depends}, ${esdplugin:Recommends}
Suggests: esound
Description: MPEG layer 1/2/3 audio player with Esound support - dummy package
 Mpg123 is a fast and portable MPEG audio player for Unix.  It supports
 MPEG 1.0/2.0 layers 1, 2 and 3 (those famous "mp3" files).
 . 
 For full CD quality playback (44 kHz, 16 bit, stereo) a Pentium,
 SPARCstation10, DEC Alpha or similar CPU is required.  Mono and/or reduced
 quality playback (22 kHz or 11 kHz) is even possible on 486 CPUs.
 .
 The main mpg123 nowadays already contains an esd output plugin by default.
 This is an empty dummy package to facilitate upgrades. It can be safely
 removed afterwards.

Package: mpg123-nas
Architecture: any
Depends: mpg123 (>= 1.4.3-1), ${misc:Depends}, ${nasplugin:Recommends}
Suggests: nas
Description: MPEG layer 1/2/3 audio player with NAS support - dummy package
 Mpg123 is a fast and portable MPEG audio player for Unix.  It supports
 MPEG 1.0/2.0 layers 1, 2 and 3 (those famous "mp3" files).
 . 
 For full CD quality playback (44 kHz, 16 bit, stereo) a Pentium,
 SPARCstation10, DEC Alpha or similar CPU is required.  Mono and/or reduced
 quality playback (22 kHz or 11 kHz) is even possible on 486 CPUs.
 .
 The main mpg123 nowadays already contains an output plugin for NAS by default.
 This is an empty dummy package to facilitate upgrades. It can be safely
 removed afterwards.

Package: mpg123-alsa
Architecture: any
Depends: mpg123 (>= 1.4.3-1), ${misc:Depends}, ${alsaplugin:Recommends}
Description: MPEG layer 1/2/3 audio player with ALSA support - dummy package
 Mpg123 is a fast and portable MPEG audio player for Unix.  It supports
 MPEG 1.0/2.0 layers 1, 2 and 3 (those famous "mp3" files).
 . 
 For full CD quality playback (44 kHz, 16 bit, stereo) a Pentium,
 SPARCstation10, DEC Alpha or similar CPU is required.  Mono and/or reduced
 quality playback (22 kHz or 11 kHz) is even possible on 486 CPUs.
 .
 The main mpg123 nowadays already contains an output plugin for ALSA by default.
 This is an empty dummy package to facilitate upgrades. It can be safely
 removed afterwards.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE:=mpg123

ARCH:=$(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
OS:=$(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
CPU:=$(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)

WRAPPER_TARGETS:=mpg123-oss mpg123-esd mpg123-nas

ifeq ($(ARCH),i486)
WRAPPER_TARGETS += mpg123-oss-i486
endif

ifeq ($(OS),linux)
WRAPPER_TARGETS += mpg123-alsa
endif

CONF_COMMON:=--prefix=/usr --enable-static --enable-shared --disable-ltdl-install

CONF_i486:=--with-cpu=x86_dither
CONF_arm:=--with-cpu=generic_nofpu

SOVERSION:=0
LIB_PKG:=libmpg123-$(SOVERSION)
DEV_PKG:=libmpg123-dev
LIB_PKGSTR:=-p$(LIB_PKG) -p$(DEV_PKG)
ARCH_PKGSTR=-pmpg123
ALL_PKGSTR=$(LIB_PKGSTR) $(ARCH_PKGSTR)

DUMMY_PKGSTR=-pmpg123-esd -pmpg123-nas
ifeq ($(OS),linux)
DUMMY_PKGSTR += -pmpg123-alsa
ifeq ($(ARCH),i486)
DUMMY_PKGSTR += -pmpg123-oss-3dnow -pmpg123-oss-i486
endif
else
ifeq ($(OS),kfreebsd)
ifeq ($(ARCH),i486)
DUMMY_PKGSTR += -pmpg123-oss-i486
endif
endif
endif

CFLAGS = 
LDFLAGS =

# Add hardening options. OS and architecture restrictions are stolen from
# package hardening-wrapper.
ifeq (,$(findstring noharden,$(DEB_BUILD_OPTIONS)))
# configure script currently chokes on -Werror
#       CFLAGS += -Wformat -Werror=format-security
        CFLAGS += -Wformat
        LDFLAGS += -Wl,-z,relro
ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -D_FORTIFY_SOURCE=2
endif
ifeq (,$(findstring :$(CPU):,:ia64:alpha:mips:mipsel:hppa:arm:))
        CFLAGS += -fstack-protector
endif
ifneq (,$(findstring :$(OS):,:linux:knetbsd:))
ifeq (,$(findstring :$(CPU):,:hppa:m68k:arm:mips:mipsel:))
        CFLAGS += -fPIE
        LDFLAGS += -pie
endif
endif
endif

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -O0
else
        CFLAGS += -O2
endif


#export DH_VERBOSE=1

mpg123: $(WRAPPER_TARGETS)
	dh_testdir

	$(MAKE)
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	mv $(CURDIR)/debian/tmp/usr/bin/mpg123 \
	   $(CURDIR)/debian/tmp/usr/bin/mpg123.bin
	mv $(CURDIR)/debian/tmp/usr/share/man/man1/mpg123.1 \
	   $(CURDIR)/debian/tmp/usr/share/man/man1/mpg123.bin.1
	install $(WRAPPER_TARGETS) $(CURDIR)/debian/tmp/usr/bin/
	for i in $(WRAPPER_TARGETS); do \
		install debian/mpg123-wrapper.1 \
		        $(CURDIR)/debian/tmp/usr/share/man/man1/$$i.1; \
	done

mpg123-%: debian/mpg123-wrapper.in
	dh_testdir
	o=`echo $@ | sed -e 's/^mpg123-\([^-]\+\).*/\1/'`; \
	sed -e "s/@OUTPUT@/$$o/g" < debian/mpg123-wrapper.in > $@

build: build-stamp
build-stamp: configure mpg123
	touch build-stamp

configure: configure-stamp
configure-stamp:
	dh_testdir

	if test -f "$(CURDIR)/build/config.sub"; then \
		mv "$(CURDIR)/build/config.sub" "$(CURDIR)/debian/"; \
	fi
	if test -f "$(CURDIR)/build/config.guess"; then \
		mv "$(CURDIR)/build/config.guess" "$(CURDIR)/debian/"; \
	fi

	ln -sf /usr/share/misc/config.sub "$(CURDIR)/build/"
	ln -sf /usr/share/misc/config.guess "$(CURDIR)/build/"

	# One patch touches configure.ac, so we need to regenerate the
        # configure script.
	autoreconf --verbose

	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
	  ./configure $(CONF_COMMON) $(CONF_$(ARCH)) || \
	    { ret=$?; cat config.log; exit $$ret; }

	touch configure-stamp

clean:
	dh_testdir
	dh_testroot

	-rm -f build-stamp configure-stamp
	-rm -f $(WRAPPER_TARGETS)
	test ! -f Makefile || $(MAKE) distclean

	if test -L "$(CURDIR)/build/config.sub"; then \
		rm -f "$(CURDIR)/build/config.sub"; \
		if test -e "$(CURDIR)/debian/config.sub"; then \
			mv "$(CURDIR)/debian/config.sub" "$(CURDIR)/build/"; \
		fi; \
	fi
	if test -L "$(CURDIR)/build/config.guess"; then \
		rm -f "$(CURDIR)/build/config.guess"; \
		if test -e "$(CURDIR)/debian/config.guess"; then \
			mv "$(CURDIR)/debian/config.guess" "$(CURDIR)/build/"; \
		fi; \
	fi

	# Cleanup after autoreconf
	-rm -f "$(CURDIR)"/Makefile.in \
	       "$(CURDIR)"/aclocal.m4 \
	       "$(CURDIR)"/configure \
	       "$(CURDIR)"/doc/Makefile.in \
	       "$(CURDIR)"/src/Makefile.in \
	       "$(CURDIR)"/src/config.h.in \
	       "$(CURDIR)"/src/libmpg123/Makefile.in \
	       "$(CURDIR)"/src/output/Makefile.in

	dh_clean

binary-indep: build

install: build
	dh_testdir
	dh_testroot
	dh_install $(ALL_PKGSTR)
	dh_installdocs $(LIB_PKGSTR) $(DUMMY_PKGSTR)
	dh_installdocs $(ARCH_PKGSTR) -A \
	               README AUTHORS doc/BENCHMARKING doc/CONTACT \
	               doc/README.gain doc/README.remote doc/THANKS 
	dh_installexamples $(LIB_PKGSTR)
	dh_installman $(ARCH_PKGSTR)
	dh_installchangelogs $(DUMMY_PKGSTR)
	dh_installchangelogs $(ARCH_PKGSTR) NEWS
	dh_installchangelogs $(LIB_PKGSTR) NEWS.libmpg123
	dh_installmime $(ARCH_PKGSTR)
	dh_strip $(ALL_PKGSTR)
	dh_compress $(ALL_PKGSTR) $(DUMMY_PKGSTR)
	dh_fixperms $(ALL_PKGSTR) $(DUMMY_PKGSTR)
	dh_makeshlibs $(LIB_PKGSTR) -V "$(LIB_PKG) (>= 1.7.2)"
	dh_installdeb $(ALL_PKGSTR)
	dh_shlibdeps $(ALL_PKGSTR) -Xdebian/mpg123/usr/lib/mpg123/ -- \
		-dSuggests `find debian/mpg123/usr/lib/mpg123/ -name "output_*.so" -type f` -dDepends
	for n in alsa dummy esd nas oss; do \
		i="debian/mpg123/usr/lib/mpg123/output_$$n.so"; \
		test -e "$$i" || continue; \
		dh_shlibdeps $(ARCH_PKGSTR) $(DUMMY_PKGSTR) -Xdebian/mpg123/usr/lib/mpg123 debian/mpg123 -- -p"$$n"plugin -dRecommends "$$i" -dDepends; \
	done
	chmod +x "$(CURDIR)/debian/alt_deps.py"
	"$(CURDIR)/debian/alt_deps.py" "$(CURDIR)/debian/mpg123.substvars" \
	  plugin:Recommends \
	  "alsaplugin:Recommends ossplugin:Recommends dummyplugin:Recommends" \
	  ossplugin:Recommends=oss-compat
	dh_gencontrol $(ALL_PKGSTR)
	dh_gencontrol $(DUMMY_PKGSTR) -- -Tdebian/mpg123.substvars
	dh_md5sums $(ALL_PKGSTR) $(DUMMY_PKGSTR)
	dh_builddeb $(ALL_PKGSTR) $(DUMMY_PKGSTR)

binary-arch: build install

binary: binary-indep binary-arch

.PHONY: build clean configure install binary binary-arch binary-indep

## mpg123 1.12.1-3maemo2

=== debian/changelog ===
mpg123 (1.12.1-3maemo2) unstable; urgency=low

  * Dropped: libltdl3 (libltd3 is on SDK-repository, not very handy for device)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 18 May 2011 09:56:59 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: mpg123
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: libc6
 Recommends: ${shlibs:Recommends}, ${plugin:Recommends}
 Suggests: ${shlibs:Suggests}
 Provides: mp3-decoder, mpg123-oss-3dnow

## mpg123 1.12.1-3maemo3

=== debian/changelog ===
mpg123 (1.12.1-3maemo3) unstable; urgency=low

  * Dropped: libltdl3 (libltd3 is on SDK-repository, not very handy for device)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 18 May 2011 09:56:59 +0200

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
 Package: libmpg123-0
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: libc6
 Description: MPEG layer 1/2/3 audio decoder -- runtime library
  Mpg123 is a fast and portable MPEG audio decoder for Unix.  It supports
  MPEG 1.0/2.0 layers 1, 2 and 3 (those famous "mp3" files).

## mpg123 1.12.1-3maemo4

=== debian/changelog ===
mpg123 (1.12.1-3maemo4) unstable; urgency=low

  * Added: libltdl7

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 18 May 2011 12:47:59 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Daniel Kobras <kobras@debian.org>
 Standards-Version: 3.8.4
-Build-Depends: debhelper (>> 5), autotools-dev, autoconf, automake, pkg-config, libltdl3-dev, libesd0-dev, libaudio-dev, libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libjack-dev, libpulse-dev [!hurd-i386], python-minimal
+Build-Depends: debhelper (>> 5), autotools-dev, autoconf, automake, pkg-config, libtool, libltdl7-dev, libesd0-dev, libaudio-dev, libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libjack-dev, libpulse-dev [!hurd-i386], python-minimal
 
 Package: mpg123
 Architecture: any

## mpg123 1.14.2

=== debian/changelog ===
mpg123 (1.14.2-1) unstable; urgency=low

  * New upstream release.
    - Fix writing of WAV to stdout.

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Sat, 12 May 2012 13:30:02 -0400

mpg123 (1.14.1-1) unstable; urgency=low

  * New upstream release.
    - Fix subtle bug that could trigger failure to detect a format change on
      resync when using libmpg123's feeder API. (Closes: #672123)

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Mon, 07 May 2012 23:00:43 -0400

mpg123 (1.14.0-1) unstable; urgency=low

  * New upstream release.
    - Handle out-of-disk in the file writers. (Closes: #67259)
  * Drop patches which have been merged upstream:
    - 0002-hardening.patch
    - 0003-spelling_errors.patch
    - 0004-hyphen_used_as_minus_sign.patch
  * Update symbols file with new symbols.
  * Bump shlibs accordingly.

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Tue, 01 May 2012 01:47:53 -0400

mpg123 (1.13.8-1) unstable; urgency=low

  * New upstream release.
    - Fix build for ARM Thumb (incompatible assembly in some macros).
  * Add myself to the uploaders list.
  * Update copyright file.
  * debian/rules:
    - Remove -marm from the CFLAGS. It's now properly fixed upstream.
    - Use the default optimizations in armel/armhf.

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Wed, 18 Apr 2012 04:28:00 -0400

mpg123 (1.13.7-7) unstable; urgency=low

  [ Miguel Colon ]
  * Pass --with-cpu=neon to configure for armhf (again).
  * Fix a FTBFS in alpha.
  * Bump the remaining *_64 symbols to 1.13.7.
  * Preemptively fix a possible FTBFS in sparc64.

  [ Alessio Treglia ]
  * Add -marm to CFLAGS to fix FTBFS on armhf. Thanks to peter green for
    the patch. (Closes: #667658)

 -- Alessio Treglia <alessio@debian.org>  Thu, 05 Apr 2012 23:47:23 +0200

mpg123 (1.13.7-6) unstable; urgency=low

  * Pass --with-cpu=arm_nofpu to configure for armhf too.

 -- Alessio Treglia <alessio@debian.org>  Sun, 01 Apr 2012 12:01:15 +0200

mpg123 (1.13.7-5) unstable; urgency=low

  * Upload to unstable.
  * Add patch to correct some misspellings.
  * Fix a small mistake in the manpage.
  * Refresh debian/copyright, update to Debian Copyright Format 1.0.

 -- Alessio Treglia <alessio@debian.org>  Sat, 31 Mar 2012 14:24:58 +0200

mpg123 (1.13.7-4) experimental; urgency=low

  [ Alessio Treglia ]
  * Refresh packages descriptions. Thanks to Adrian Bunk for the
    suggestions. (Closes: #666206)
  * Replace Suggests' contents with a list of supported sound
    systems (Closes: #666208).
  * Update Homepage field.

  [ Miguel Colon ]
  * Update the symbols file to fix FTBFS and other issues.
    - Move *_64* symbols to the 64bit file.
    - kfreebsd-i386 (1.13.7) and alpha (1.12.1-3.2) don't have these symbols.
    - mpg123_decode_frame_32 and mpg123_feedseek_32 not in (<= 1.12.1-3.2).
  * Fix the failures to open the modules due to the removal of the .la files.

 -- Alessio Treglia <alessio@debian.org>  Fri, 30 Mar 2012 08:49:46 +0200

mpg123 (1.13.7-3) experimental; urgency=low

  * Enable LFS aliases, attempt to fix FTBFS on kfreebsd-i386.
  * Drop static library.
  * Improve ARM CPUs optimizations.

 -- Alessio Treglia <alessio@debian.org>  Thu, 29 Mar 2012 14:13:02 +0200

mpg123 (1.13.7-2) experimental; urgency=low

  * Re-organize and refresh symbols. Thanks to Miguel Colon for the report
    and initial patch. (Closes: #661517)
  * Introduce new plugins:
    - JACK
    - PortAudio
    - OpenAL
  * Remove unnecessary build-dependencies.

 -- Alessio Treglia <alessio@debian.org>  Thu, 29 Mar 2012 11:42:59 +0200

mpg123 (1.13.7-1) experimental; urgency=low

  * New maintainer (see bug#644851 comment#28).
    - Thanks to Daniel Kobras <kobras@debian.org> for the great work!
  * ACK NMUs. (Closes: #631642)
  * New upstream release. (Closes: #644851)
  * Switch to 3.0 (quilt) format.
  * Switch to DH 7 short-form.
  * Use dh_autoreconf.
  * Use dpkg-buildflags to get hardening flags.
  * Add patch to avoid failure when built with hardened flags.
  * Build with --as-needed.
  * Convert to Multi-Arch. (Closes: #651014)
  * Drop the esd output plugin. (Closes: #646390)
  * Remove all *.la files.
  * Replace hardcoded list of non-Linux architectures with
    linux-any. (Closes: #634766)
  * Remove dummy packages:
    - mpg123-oss-3dnow
    - mpg123-oss-i486
    - alsa dummy
    - nas dummy
  * debian/*.{postinst,preinst,prerm}
    - Use set -e in the body of the script rather than passing -s to
      the shell.
  * Remove unnecessary NEWS file.
  * Add gbp.conf file.
  * Add watch file.
  * Add Homepage field.
  * Bump Standards-Version.

 -- Alessio Treglia <alessio@debian.org>  Wed, 28 Mar 2012 10:00:21 +0200

mpg123 (1.12.1-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Switch to libltdl-dev (Closes: #627165).
  * Empty dependency_libs (Closes: #622501).

 -- Luk Claes <luk@debian.org>  Sat, 25 Jun 2011 19:13:38 +0200

mpg123 (1.12.1-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove unneeded build-depend on libartsc0-dev. (Closes: #561922)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 02 Apr 2011 22:59:31 +0200

=== debian/control ===
Source: mpg123
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Miguel A. Colón Vélez <debian.micove@gmail.com>
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf,
 libasound2-dev [linux-any],
 libaudio-dev,
 libjack-dev,
 libltdl-dev,
 libopenal-dev,
 libpulse-dev [!hurd-i386],
 pkg-config,
 portaudio19-dev,
 python-minimal
Standards-Version: 3.9.3
Homepage: http://mpg123.org/
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/mpg123.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/mpg123.git

Package: mpg123
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 ${plugin:Recommends},
 ${shlibs:Recommends}
Suggests:
 alsa-utils,
 jackd,
 nas,
 oss-compat,
 oss4-base,
 pulseaudio
Provides:
 mp3-decoder,
 mpg123-oss-3dnow
Replaces:
 mpg123-alsa,
 mpg123-esd,
 mpg123-nas,
 mpg123-oss-3dnow,
 mpg123-oss-i486
Description: MPEG layer 1/2/3 audio player
 mpg123 is a real time MPEG 1.0/2.0/2.5 audio player/decoder for layers
 1, 2 and 3 (MPEG 1.0 layer 3 also known as MP3).
 .
 This package contains output plugins for several audio systems, including
 OSS4, the Advanced Linux Sound Architecture (ALSA), JACK, PortAudio,
 PulseAudio, OpenAL and the Network Audio System (NAS).

Package: libmpg123-0
Multi-Arch: same
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: MPEG layer 1/2/3 audio decoder (shared library)
 mpg123 is a real time MPEG 1.0/2.0/2.5 audio player/decoder for layers
 1, 2 and 3 (MPEG 1.0 layer 3 also known as MP3).
 .
 This package contains the C libraries needed to run executables that use
 the mpg123 library.

Package: libmpg123-dev
Multi-Arch: same
Architecture: any
Section: libdevel
Depends:
 libmpg123-0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: MPEG layer 1/2/3 audio decoder (development files)
 mpg123 is a real time MPEG 1.0/2.0/2.5 audio player/decoder for layers
 1, 2 and 3 (MPEG 1.0 layer 3 also known as MP3).
 .
 This package contains the C development headers and library files needed
 to compile programs using the mpg123 library.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE:=mpg123

ARCH:=$(shell dpkg-architecture -qDEB_HOST_ARCH)
OS:=$(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
CPU:=$(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

WRAPPER_TARGETS:=mpg123-oss mpg123-nas mpg123-jack mpg123-openal mpg123-portaudio

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

ifeq ($(OS),linux)
WRAPPER_TARGETS += mpg123-alsa
endif

CONF_COMMON:=--enable-static=no --enable-shared --enable-lfs-alias \
	--with-module-suffix=.so

CONF_i486:=--with-cpu=x86_dither

SOVERSION:=0
LIB_PKG:=libmpg123-$(SOVERSION)
DEV_PKG:=libmpg123-dev
LIB_PKGSTR:=-p$(LIB_PKG) -p$(DEV_PKG)
ARCH_PKGSTR=-pmpg123
ALL_PKGSTR=$(LIB_PKGSTR) $(ARCH_PKGSTR)

LDFLAGS += -Wl,--as-needed

#export DH_VERBOSE=1

%:
	dh $@ --with autoreconf

mpg123-%: debian/mpg123-wrapper.in
	dh_testdir
	o=`echo $@ | sed -e 's/^mpg123-\([^-]\+\).*/\1/'`; \
	sed -e "s/@OUTPUT@/$$o/g" < debian/mpg123-wrapper.in > $@

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- $(CONF_COMMON) $(CONF_$(CPU))

override_dh_auto_clean:
	dh_auto_clean
	rm -f $(WRAPPER_TARGETS)

override_dh_auto_install: $(WRAPPER_TARGETS)
	dh_auto_install

	find $(CURDIR)/debian -name '*.la' -delete
	mv $(CURDIR)/debian/tmp/usr/bin/mpg123 \
	   $(CURDIR)/debian/tmp/usr/bin/mpg123.bin
	mv $(CURDIR)/debian/tmp/usr/share/man/man1/mpg123.1 \
	   $(CURDIR)/debian/tmp/usr/share/man/man1/mpg123.bin.1
	install $(WRAPPER_TARGETS) $(CURDIR)/debian/tmp/usr/bin/
	for i in $(WRAPPER_TARGETS); do \
		install debian/mpg123-wrapper.1 \
		        $(CURDIR)/debian/tmp/usr/share/man/man1/$$i.1; \
	done

override_dh_installchangelogs:
	dh_installchangelogs $(ARCH_PKGSTR) NEWS
	dh_installchangelogs $(LIB_PKGSTR) NEWS.libmpg123
	dh_installchangelogs --remaining-packages

override_dh_makeshlibs:
	dh_makeshlibs $(LIB_PKGSTR) -V "$(LIB_PKG) (>= 1.14.0)"

override_dh_shlibdeps:
	dh_shlibdeps $(ALL_PKGSTR) -Xdebian/mpg123/usr/lib/$(DEB_HOST_MULTIARCH)/mpg123/ -- \
		-dSuggests `find debian/mpg123/usr/lib/$(DEB_HOST_MULTIARCH)/mpg123/ -name "output_*.so" -type f` -dDepends
	for n in alsa nas jack dummy openal oss portaudio; do \
		i="debian/mpg123/usr/lib/$(DEB_HOST_MULTIARCH)/mpg123/output_$$n.so"; \
		test -e "$$i" || continue; \
		dh_shlibdeps $(ARCH_PKGSTR) -Xdebian/mpg123/usr/lib/$(DEB_HOST_MULTIARCH)/mpg123 debian/mpg123 -- -p"$$n"plugin -dRecommends "$$i" -dDepends; \
	done
	chmod +x "$(CURDIR)/debian/alt_deps.py"
	"$(CURDIR)/debian/alt_deps.py" "$(CURDIR)/debian/mpg123.substvars" \
	  plugin:Recommends \
	  "alsaplugin:Recommends ossplugin:Recommends dummyplugin:Recommends jackplugin:Recommends openalplugin:Recommends portaudioplugin:Recommends" \
	  "ossplugin:Recommends=oss-compat | oss4-base"
	dh_shlibdeps --remaining-packages

## mpg123 1.14.2+svn20120622

=== debian/changelog ===
mpg123 (1.14.2+svn20120622-1) unstable; urgency=low

  * Fresh snapshot from upstream.

 -- Alessio Treglia <alessio@debian.org>  Fri, 22 Jun 2012 09:48:18 +0200

## mpg123 1.14.4

=== debian/changelog ===
mpg123 (1.14.4-1) unstable; urgency=low

  * New upstream release.
    - Fix regression from 1.14.1 in parsing of bad free format streams.
      (Closes: #677148)
    - Fix resync logic to properly work again (used to prematurely end stream
      on bad headers).
    - Fix multiple seek regressions.

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Wed, 05 Sep 2012 03:31:20 -0400

## mpg123 1.15.3

=== debian/changelog ===
mpg123 (1.15.3-1ubuntu1) saucy; urgency=low

  * debian/libmpg123-0.symbols: Add arm64 and ppc64el as 64-bit arches.

 -- William Grant <wgrant@ubuntu.com>  Wed, 16 Oct 2013 20:10:20 +1100

mpg123 (1.15.3-1) unstable; urgency=low

  * Upload to unstable.
  * New upstream release.
    - Build fix with older shells (== in configure).
    - Fix WAV writing. AGAIN.

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Fri, 05 Apr 2013 14:06:03 -0400

mpg123 (1.15.1-1) experimental; urgency=low

  * New upstream release.
    - Getting WAV/AU/CDR writing back to a sane state while still catching
      out-of-disk when writing headers. (Closes: #680101)
    - Fix corner case in HTTP communication with missing path in Location
      header. (Closes: #700721)
  * Update symbols file with new symbols.
  * Bump shlibs accordingly.

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Fri, 01 Mar 2013 10:11:28 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mpg123
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Miguel A. Colón Vélez <debian.micove@gmail.com>

## mpg123 1.16.0

=== debian/changelog ===
mpg123 (1.16.0-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/libmpg123-0.symbols: Add arm64 and ppc64el as 64-bit arches.

 -- William Grant <wgrant@ubuntu.com>  Fri, 20 Dec 2013 16:15:46 +1100

mpg123 (1.16.0-1) unstable; urgency=low

  * New upstream release:
    - Taihei strikes again:
      + New Huffman decoding scheme (configurable, on by default) brings
        nice boost to mpg123 to make it the fastest decoder on modern
        CPUs again.
      + new AVX decoder
    - assembly-optimized DCT36 for SSE and AVX
    - added configs for vintage 3DNow(ext) CPUs (AMD K6) utilizing
      assembly DCT36
    - added configs for vintage SSE CPUs (Pentium M), utilizing C DCT36
    - added FORMAT command to generic control
    - added support for ID3v2 APIC frames
    - added mpg123-id3dump as official companion to extract meta data
      (including writing of album art from APIC to files)
    - added mpg123-strip as official companion to strip dirt out of MPEG
      streams (including meta data)
    - not deleting ID3 data right after printing in generic control
    - module loader a bit more flexible with relative MPG123_MODDIR
    - Fix chopped-off playback with pulseaudio output: draining the output
      now on closing.
    - SDL output fixup, a) not chopping off end and b) non-fatal underrun
    - added support for screen and iris-ansi terminals with --title
    - fixes/enhancements for sgi audio output
    - libmpg123: proper largefile aliases for proper systems (FreeBSD with
      one one-and-only off_t). This enables client software that insists on
      defining pointless _FILE_OFFSET_BITS. (Closes: #720440)
    - wrapper script src/mpg123-with-modules to ease the pain of running
      mpg123 with modules without installation (setting MPG123_MODDIR)
    - removed ALSA 0.5 code (unused for longtime, last GPL-only bit)
  * Drop kfreebsd LFS patch, applied upstream.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Mon, 07 Oct 2013 11:25:27 +0100

mpg123 (1.15.3-2) unstable; urgency=low

  * Provide 64 bit wrapper functions on kfreebsd, Closes: #720440
  * Add myself to uploaders

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 31 Aug 2013 15:26:50 +0200

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
+ Reinhard Tartler <siretart@tauware.de>,
  Miguel A. Colón Vélez <debian.micove@gmail.com>
 Build-Depends:
  debhelper (>= 9),
@@ -18,7 +19,7 @@
  pkg-config,
  portaudio19-dev,
  python-minimal
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://mpg123.org/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/mpg123.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/mpg123.git

=== debian/rules ===
--- 
+++ 
@@ -72,7 +72,7 @@
 	dh_installchangelogs --remaining-packages
 
 override_dh_makeshlibs:
-	dh_makeshlibs $(LIB_PKGSTR) -V "$(LIB_PKG) (>= 1.14.0)"
+	dh_makeshlibs $(LIB_PKGSTR) -V "$(LIB_PKG) (>= 1.15.1)"
 
 override_dh_shlibdeps:
 	dh_shlibdeps $(ALL_PKGSTR) -Xdebian/mpg123/usr/lib/$(DEB_HOST_MULTIARCH)/mpg123/ -- \

## mpg123 1.20.1

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: mpg123
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
- Alessio Treglia <alessio@debian.org>,
  Reinhard Tartler <siretart@tauware.de>,
  Miguel A. Colón Vélez <debian.micove@gmail.com>
 Build-Depends:
@@ -19,7 +17,7 @@
  pkg-config,
  portaudio19-dev,
  python-minimal
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://mpg123.org/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/mpg123.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/mpg123.git
@@ -40,7 +38,6 @@
  oss4-base,
  pulseaudio
 Provides:
- mp3-decoder,
  mpg123-oss-3dnow
 Replaces:
  mpg123-alsa,
@@ -77,8 +74,7 @@
 Section: libdevel
 Depends:
  libmpg123-0 (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends}
+ ${misc:Depends}
 Description: MPEG layer 1/2/3 audio decoder (development files)
  mpg123 is a real time MPEG 1.0/2.0/2.5 audio player/decoder for layers
  1, 2 and 3 (MPEG 1.0 layer 3 also known as MP3).

## mpg123 1.22.4

=== doc/examples/Makefile ===
targets = feedseek mpg123_to_wav mpg123_to_wav_replaced_io scan id3dump mpglib  dump_seekindex extract_frames

all: $(targets)

# On largefile-aware systems you might want to use these instead:
#MPG123_CFLAGS  := $(shell pkg-config --cflags libmpg123_64)
#MPG123_LDFLAGS := $(shell pkg-config --libs   libmpg123_64)
# This works on sane setups where off_t is off_t, and just that.
ifeq ($(MPG123_PREFIX),)
  MPG123_CFLAGS  := $(shell pkg-config --cflags libmpg123)
  MPG123_LDFLAGS := $(shell pkg-config --libs   libmpg123)
else # Yeah, that's with GNU/Linux in mind, at least GNU ld ...
  MPG123_CFLAGS  := -I$(MPG123_PREFIX)/include
  MPG123_LDFLAGS := -L$(MPG123_PREFIX)/lib -Wl,-rpath $(MPG123_PREFIX)/lib -lmpg123
endif
SND_CFLAGS     := $(shell pkg-config --cflags sndfile)
SND_LDFLAGS    := $(shell pkg-config --libs   sndfile)

# Oder of libs not that important here...
compile = $(CC) $(CPPFLAGS) $(CFLAGS) $(MPG123_CFLAGS)
linkflags = $(MPG123_LDFLAGS) $(LDFLAGS)

mpg123_to_wav: mpg123_to_wav.c
	$(compile) -o mpg123_to_wav mpg123_to_wav.c $(SND_CFLAGS) $(SND_LDFLAGS) $(linkflags)

mpg123_to_wav_replaced_io: mpg123_to_wav_replaced_io.c
	$(compile) -o $@ $< $(SND_CFLAGS) $(SND_LDFLAGS) $(linkflags)

feedseek: feedseek.c
	$(compile) -o feedseek feedseek.c $(linkflags)

scan: scan.c
	$(compile) -o scan scan.c $(linkflags)

id3dump:id3dump.c
	$(compile) -o id3dump id3dump.c $(linkflags)

dump_seekindex: dump_seekindex.c
	$(compile) -o dump_seekindex dump_seekindex.c $(linkflags)

mpglib: mpglib.c
	$(compile) -o mpglib mpglib.c $(linkflags)

extract_frames: extract_frames.c
	$(compile) -o $@ $< $(linkflags)

clean:
	rm -vf $(targets)

=== debian/changelog ===
mpg123 (1.22.4-1) unstable; urgency=medium

  * New upstream release.
    - Fix regression introduced with a bugfix in 1.14.1 to make free format
      streams work again.

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Fri, 18 Sep 2015 03:42:40 -0400

mpg123 (1.22.3-1) unstable; urgency=medium

  * New upstream release.
    - Fix UTF-16 surrogate detection because that used to falsely detect
      characters above 0xDFFF as surrogates. (Closes: 786718)
  * Update the Suggests so that they can be satisfied in all architectures.
  * Introduce a wrapper for the pulse plugin.
  * Simplify the rules file by removing the dh_shlibdeps and dh_makeshlibs
    overrides.

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Thu, 06 Aug 2015 19:13:48 -0400

mpg123 (1.22.2-1) unstable; urgency=medium

  * New upstream release.
  * Check if DEB_HOST_ARCH_CPU is i386 instead of i486. (Closes: 751800)
    - In i386/hurd-i386/kfreebsd-i386 don't default to only building the
      "broken" decoder.
  * Override lintian error libmpg123-0: shlib-with-non-pic-code in i386.
    - Previous fix reintroduces all decoders and skips the "bad" one. The
      faster decoders use optimizations with non-pic code.
  * Update the watch file to verify the cryptographic signatures.
  * Bump Standards-Version to 3.9.6 (no changes needed).

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Thu, 02 Jul 2015 23:32:31 -0400

mpg123 (1.20.1-2) unstable; urgency=medium

  * Team upload.

  [ Alessio Treglia ]
  * Update symbols file to prevent FTBFS on arm64.
    Thanks to Will Newton for pointing this out. (Closes: #758227)

  [ Sebastian Ramacher ]
  * debian/control: Remove ${shlibs:Depends} from libmpg123-dev's Depends.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 31 Aug 2014 11:51:27 +0200

mpg123 (1.20.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove myself from the Uploaders list.

 -- Alessio Treglia <alessio@debian.org>  Wed, 06 Aug 2014 10:36:45 +0100

mpg123 (1.20.0-1) unstable; urgency=low

  * New upstream release.
  * Fix FTBFS on ppc64el. Thanks to Fernando Seiti Furusato for
    the patch. (Closes: #751136)
  * debian/copyright:
    - Update copyright holders information.
    - copyright-1 format compliance fixes.

 -- Alessio Treglia <alessio@debian.org>  Mon, 07 Jul 2014 15:55:17 +0100

mpg123 (1.18.0-1) unstable; urgency=low

  * New upstream release, Closes: #737243
    - libmpg123 version 39
    - Big version increase for clear distinction regarding the 1.14.x regression
      fixes in libmpg123.
    - Regression fix: Ensure decoder reinitialization on combination of seek and
      resync (buffer overflow bug 201, introduced in 1.14.1).
    - Regression fix: Make parsing really end on reaching of junk limit
      (introduced in 1.14.4).
    - Add check for bad bit allocation value in layer I decoder (removes audible
      glitch in bug 201 test file).
    - Avoid wrong error message about Frankenstein streams when gapless decoding
      disabled.
    - Be verbose about big header changes (Frankenstein streams). Note that
      changes in samples per frame will confuse the seeking code, but decoding
      can get through.
    - Actually use the full routine to close tracks. Avoids socket leak when
      playing multiple HTTP streams from a playlist (bug 203).
    - Send correct host header when connecting through HTTP proxy (bug 202,
      figured out by Rajeev V. Pillai).
    - The console application now informs about changed major stream properties
      (prints out another header line).
    - mpg123-id3dump --no-scan; for speedup
    - hide -C parameter from mpg123 --help when it is not supported
    - added tinyalsa Output (by Jarno Lehtinen)
    - build system tweaking
    - some care for fixing Cygwin builds
  * Update symbol table to work with mips64/mips64el.
    Thanks to YunQiang Su for the patch. (Closes: #729047)
  * Update symbol table to work with x32.
  * Bump Standards-Version.
    - Remove mp3-decoder from the Provides list.

  [ Riku Voipio ]
  * switch arm to use generic_fpu, Closes: #738981, LP: #1072696

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Sat, 15 Feb 2014 13:42:35 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  pkg-config,
  portaudio19-dev,
  python-minimal
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://mpg123.org/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/mpg123.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/mpg123.git
@@ -27,15 +27,12 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
-Recommends:
- ${plugin:Recommends},
- ${shlibs:Recommends}
 Suggests:
- alsa-utils,
+ alsa-utils [linux-any],
  jackd,
  nas,
- oss-compat,
- oss4-base,
+ oss-compat [linux-any],
+ oss4-base [linux-any],
  pulseaudio
 Provides:
  mpg123-oss-3dnow
@@ -57,7 +54,8 @@
 Multi-Arch: same
 Architecture: any
 Section: libs
-Pre-Depends: ${misc:Pre-Depends}
+Pre-Depends:
+ ${misc:Pre-Depends}
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

ARCH:=$(shell dpkg-architecture -qDEB_HOST_ARCH)
OS:=$(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
CPU:=$(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
LDFLAGS += -Wl,--as-needed

WRAPPER_TARGETS:=mpg123-oss mpg123-nas mpg123-jack mpg123-openal mpg123-portaudio
ifeq ($(OS),linux)
	WRAPPER_TARGETS += mpg123-alsa
endif
ifneq ($(OS),hurd)
	WRAPPER_TARGETS += mpg123-pulse
endif

CONF_COMMON:=--enable-static=no --enable-shared --enable-lfs-alias \
	--with-module-suffix=.so

CONF_i386:=--with-cpu=x86_dither
CONF_arm:=--with-cpu=generic_fpu

mpg123-%: debian/mpg123-wrapper.in
	dh_testdir
	o=`echo $@ | sed -e 's/^mpg123-\([^-]\+\).*/\1/'`; \
	sed -e "s/@OUTPUT@/$$o/g" < debian/mpg123-wrapper.in > $@

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- $(CONF_COMMON) $(CONF_$(CPU))

override_dh_auto_clean:
	dh_auto_clean
	rm -f $(WRAPPER_TARGETS)

override_dh_auto_install: $(WRAPPER_TARGETS)
	dh_auto_install

	mv $(CURDIR)/debian/tmp/usr/bin/mpg123 \
	   $(CURDIR)/debian/tmp/usr/bin/mpg123.bin
	mv $(CURDIR)/debian/tmp/usr/share/man/man1/mpg123.1 \
	   $(CURDIR)/debian/tmp/usr/share/man/man1/mpg123.bin.1
	install $(WRAPPER_TARGETS) $(CURDIR)/debian/tmp/usr/bin/
	for i in $(WRAPPER_TARGETS); do \
		install debian/mpg123-wrapper.1 \
		        $(CURDIR)/debian/tmp/usr/share/man/man1/$$i.1; \
	done

override_dh_installchangelogs:
	dh_installchangelogs -pmpg123 NEWS
	dh_installchangelogs -plibmpg123-0 -plibmpg123-dev NEWS.libmpg123
	dh_installchangelogs --remaining-packages

%:
	dh $@ --with autoreconf

## mpg123 1.23.8

=== debian/changelog ===
mpg123 (1.23.8-1) unstable; urgency=high

  * Team upload.
  * New upstream release.
    - Fixes DoS with crafted ID3v2 tags. (Closes: #838960)
  * debian/{control,libout123*}: Add new libout123-0 package.
  * debian/libmpg123-0.symbols*: Add new symbols.
  * debian/patches: Refreshed.
  * debian/control:
    - Update Vcs-*.
    - Bump Standards Version
  * debian/copyright: Update copyright years.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 28 Sep 2016 19:19:03 +0200

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs -pmpg123 NEWS
-	dh_installchangelogs -plibmpg123-0 -plibmpg123-dev NEWS.libmpg123
+	dh_installchangelogs -plibmpg123-dev NEWS.libmpg123
 	dh_installchangelogs --remaining-packages
 
 %:
